Bug 428044 (CVE-2008-0006) - CVE-2008-0006 Xorg / XFree86 PCF font parser buffer overflow
Summary: CVE-2008-0006 Xorg / XFree86 PCF font parser buffer overflow
Status: CLOSED ERRATA
Alias: CVE-2008-0006
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,source=freedesktop.o...
Keywords: Security
Depends On: 428045 428046 428047 428048 428049 428050 429131 429132 429133 833924
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-08 21:35 UTC by Josh Bressers
Modified: 2012-06-20 14:17 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2008-01-22 15:40:15 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0029 normal SHIPPED_LIVE Important: XFree86 security update 2008-01-19 02:59:54 UTC
FreeDesktop.org 13526 None None None Never
Red Hat Product Errata RHSA-2008:0030 normal SHIPPED_LIVE Important: xorg-x11 security update 2008-01-19 02:20:50 UTC
Red Hat Product Errata RHSA-2008:0064 normal SHIPPED_LIVE Important: libXfont security update 2008-01-17 20:00:37 UTC

Description Josh Bressers 2008-01-08 21:35:59 UTC
Takuya Shiozaki of CodeBlog discovered a heap based buffer overflow flaw in
X.org's PCF font handler.

This flaw is being tracked as VU#203220 by CERT.

Comment 16 Josh Bressers 2008-01-17 14:40:19 UTC
Lifting embargo:
http://lists.freedesktop.org/archives/xorg/2008-January/031918.html

Comment 18 Fedora Update System 2008-01-22 15:40:12 UTC
libXfont-1.3.1-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2008-01-22 15:59:16 UTC
libXfont-1.2.9-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.